Skip to content

Get the available payment methods.

GET
/api/v1/sell/payment-methods

If you provide the User-Identifier or User-Authorization header, the limits returned will take into account the user limits (max amount per transaction, not the remaining daily limit).

Returns a list of available payment methods.

object
paymentMethods
Array<object>
object
paymentMethod
required

The internal payment method identifier.

string
Example
bankTransfer
label
required

Human-readable label of the payment method.

string
Example
Bank Transfer
isEnabled
required

Indicates if the payment method is currently enabled.

boolean
Example
true
accountTypes

The account types supported by this payment method.

Array<string>
default:
Example
[
"iban",
"sofort",
"paypal"
]
context

Optional metadata that provides additional configuration for the payment method. Each context item specifies a type and corresponding value. For example, it may define which card brands are supported or a PSP-specific checkout identifier. The required context types depend on the PSP and selected payment method.

Array<object>
default:
object
type
required
string
Allowed values: acceptedCards clientId countries country currency disableFunding displayName enableFunding features identifier intent scope
value
required

The value associated with the context type. This is dynamically typed: it can be a string, array, boolean, or integer depending on the context type. For example, for “acceptedCards”, this will be an array of strings (e.g., [“visa”, “mastercard”]).

{}
Example
[
{
"type": "acceptedCards",
"value": [
"visa",
"mastercard"
]
},
{
"type": "identifier",
"value": "checkout-identifier-123"
}
]

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}